Groups & Roles
View and administer Groups & Roles in your organization.
Get Entity
/entities/{entityId}
Get an entity by id.
Requires a bearer access token for this API with the Organization.Groups.Entities.Read permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/entities/{entityId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Entity Groups
/entities/{entityId}/groups
Get groups associated with an entity by id.
Requires a bearer access token for this API with the Organization.Groups.Entities.Read permission. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/entities/{entityId}/groups" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create Group
/group
Create a new group.
Requires a bearer access token for this API with the Organization.Groups.Write permission. See Authentication.
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/group" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string" }'
List Groups
/groups
Get all Groups scoped to a specific Organization.
Requires a bearer access token for this API with the Organization.Groups.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/groups" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Group
/groups/{groupId}
Get a Group by id.
Requires a bearer access token for this API with the Organization.Groups.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Group
/groups/{groupId}
Update a Group by id.
Requires a bearer access token for this API with the Organization.Groups.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/groups/{groupId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string" }'
Delete Group
/groups/{groupId}
Delete a Group by id.
Requires a bearer access token for this API with the Organization.Groups.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/groups/{groupId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Group Entities
/groups/{groupId}/entities
Get all Entities associated with a Group.
Requires a bearer access token for this API with the Organization.Groups.Entities.Read permission. See Authentication.
Parameters
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}/entities" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Delete Entity Reference
/groups/{groupId}/entities/{entityId}
Delete an Entity Group entry
Requires a bearer access token for this API with the Organization.Groups.Entities.Delete permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/groups/{groupId}/entities/{entityId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create Group Entity
/groups/{groupId}/entity
Create a new Group Entity.
Requires a bearer access token for this API with the Organization.Groups.Entities.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/groups/{groupId}/entity" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '[ "string" ]'
Create Group Role
/groups/{groupId}/role
Create a new Group Role assignment.
Requires a bearer access token for this API with the Organization.Groups.Role.Write permission. See Authentication.
Parameters
Path parameter
Request body
Option 1: object
Option 2: object
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/groups/{groupId}/role" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "group": { "id": "string" }, "roleId": "string" }'
Get Group Roles
/groups/{groupId}/roles
Get all Group Roles scoped to a specific Group.
Requires a bearer access token for this API with the Organization.Groups.Role.Read permission. See Authentication.
Parameters
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}/roles" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Group Role
/groups/{groupId}/roles/{roleId}
Get an Organization Group Role by id.
Requires a bearer access token for this API with the Organization.Groups.Role.Read permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/groups/{groupId}/roles/{roleId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Delete Group Role
/groups/{groupId}/roles/{roleId}
Delete an Organization Group Role by id.
Requires a bearer access token for this API with the Organization.Groups.Role.Delete permission. See Authentication.
Parameters
Path parameter
Path parameter
Responses
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/groups/{groupId}/roles/{roleId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization Roles
/organizations/{organizationId}/roles
Get all Organization Roles.
Requires a bearer access token for this API. See Authentication.
Parameters
Organization Id
Continuation token
Number of records to return
Sort query parameter
Responses
The Organization Roles available.
Paging details for the list.
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization Role
/organizations/{organizationId}/roles/{roleId}
Get an Organization.
Requires a bearer access token for this API. See Authentication.
Parameters
Organization Id
Role Id
Responses
The Organization Role object
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles/{roleId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Organization Role by Identifier
/organizations/{organizationId}/roles/{roleId}
Update an Organization Role by id
Requires a bearer access token for this API. See Authentication.
Parameters
Organization Id
Role Id
Request body
One of: "organization", "built-in"
Responses
The Organization Role object
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles/{roleId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "id": "string", "name": "string", "permissions": { "allowed": [], "denied": [], "scope": "string" }, "type": "organization" }'
Delete Organization Role
/organizations/{organizationId}/roles/{roleId}
Delete an Organization Role by id.
Requires a bearer access token for this API. See Authentication.
Parameters
Organization Id
Role Id
Responses
Ok
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/roles/{roleId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Add Organization Role
/role
Add an Organization Role.
Requires a bearer access token for this API with the CustomRole.Write permission. See Authentication.
Request body
One of: "organization", "built-in"
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/role" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string", "permissions": { "allowed": [], "denied": [], "scope": "string" }, "type": "organization" }'
Update Organization Role
/role
Update an Organization Role.
Requires a bearer access token for this API with the CustomRole.Write permission. See Authentication.
Request body
One of: "organization", "built-in"
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/role" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "description": "string", "name": "string", "permissions": { "allowed": [], "denied": [], "scope": "string" }, "type": "organization" }'